Bug 981583 - Openstack firewall rules are not enabled after reboot
Openstack firewall rules are not enabled after reboot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openstack-packstack (Show other bugs)
20
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Martin Magr
Fedora Extras Quality Assurance
:
: 1000851 1029929 (view as bug list)
Depends On: 981652
Blocks: 1099840 1103315
  Show dependency treegraph
 
Reported: 2013-07-05 04:03 EDT by Jonathan Barber
Modified: 2015-06-29 08:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 981652 1099840 (view as bug list)
Environment:
Last Closed: 2015-06-29 08:03:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Barber 2013-07-05 04:03:11 EDT
Description of problem:
Firewall rules are applied by packstack via iptables, but in f19 the default firewall management tool is firewalld, this means that the rules are not persistent across reboot if firewalld is enabled.

Version-Release number of selected component (if applicable):
openstack-packstack-2013.1.1-0.3.dev527.fc19.noarch

How reproducible:
Always if firewalld is enabled and iptables is not.

Steps to Reproduce:
1. run packstack
2. reboot

Actual results:
After the reboot "iptables -L" shows no packstack specific rules.

Expected results:
There should be firewall rules for openstack present after reboot.

Additional info:
This can be fixed by disabling/stopping the firewalld service and enabling/starting the iptables service.
Comment 1 Fedora Admin XMLRPC Client 2013-10-14 05:50:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2013-10-14 05:51:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Sandro Mathys 2013-11-14 04:40:07 EST
*** Bug 1029929 has been marked as a duplicate of this bug. ***
Comment 4 Pádraig Brady 2014-01-08 11:31:18 EST
I'm not sure we should depend on 981652.
Well ideally yes, but could we specifically handle this in packstack?
This is still an issue on Fedora 20.
Comment 5 Lars Kellogg-Stedman 2014-01-15 10:17:46 EST
*** Bug 1000851 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2015-05-29 05:09:29 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:03:07 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.